Bug 103473 - FORMATTING: bad positioning of image
Summary: FORMATTING: bad positioning of image
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.5.2 release
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: Impress-Images
  Show dependency treegraph
 
Reported: 2016-10-24 17:49 UTC by internationils
Modified: 2016-11-28 20:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
PPTX2010 file (95.77 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-10-24 17:49 UTC, internationils
Details
PPTX2010 correct image (52.52 KB, image/png)
2016-10-24 17:50 UTC, internationils
Details
LO5 image -wrong position (23.09 KB, image/png)
2016-10-24 17:51 UTC, internationils
Details

Note You need to log in before you can comment on or make changes to this bug.
Description internationils 2016-10-24 17:49:27 UTC
Created attachment 128211 [details]
PPTX2010 file

Bad positioning of looking glass image (shifted up and left)
Comment 1 internationils 2016-10-24 17:50:00 UTC
Created attachment 128212 [details]
PPTX2010 correct image
Comment 2 internationils 2016-10-24 17:51:37 UTC
Created attachment 128213 [details]
LO5 image -wrong position
Comment 3 Yousuf Philips (jay) (retired) 2016-10-24 18:17:54 UTC
Confirmed.

Regression as the position was correct in 5.0.6.3, though the image had an incorrect rotation value.

Version: 5.3.0.0.alpha1+
Build ID: 928776b734c6aa188151bbce048d5bef4486dce7
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-23_00:39:08
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 raal 2016-10-28 12:09:30 UTC
This seems to have begun at the below commit.
Adding Cc: to Mike Kaganski; Could you possibly take a look at this one? Thanks

	c2bfd14715fe1f3e6b601f721ff6cfc04a84fd2c is the first bad commit
commit c2bfd14715fe1f3e6b601f721ff6cfc04a84fd2c
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Nov 24 19:39:21 2015 -0800

    source sha:ae0e830f9ace78b889713e7e74ce46f88fa21470

author	Mike Kaganski <mike.kaganski@collabora.com>	2015-11-22 06:04:36 (GMT)
committer	Mike Kaganski <mikekaganski@hotmail.com>	2015-11-24 13:46:49 (GMT)
commit	ae0e830f9ace78b889713e7e74ce46f88fa21470 (patch)
tree	d8799369cc9459bf100a3e949616666626ed54e3
parent	ccd04a5f46c491d50b071cf2a58b77a2bacb1922 (diff)
tdf#95970: Don't loose mirroring in SdrTextObj::TRSetBaseGeometry

	 git bisect log
# bad: [05d11632892a322664fb52bac90b2598b7fb7544] source sha:5616d22b57a9a5e57d545e912e029162a230829b
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start 'origin/master' 'oldest'
# good: [97526ab777da7e58ce283c05498262ecdd4d6f7f] source sha:4ea70f87f7a2b61eda6e5ab1f48debf6fcfadc1f
git bisect good 97526ab777da7e58ce283c05498262ecdd4d6f7f
# good: [86fee7ded76d9c2756ccab6aef160a2d7fab0ab6] source sha:1b62841b1859ae3443e2bf1ebe99ec3d6afb6cc2
git bisect good 86fee7ded76d9c2756ccab6aef160a2d7fab0ab6
# good: [11864a7db429a57aeea021e0b3f1fb1412282d32] source sha:e5b721a14c1c8e5261a70588b30353cbb5bd55c6
git bisect good 11864a7db429a57aeea021e0b3f1fb1412282d32
# good: [7d52a87c0aa24498584ec522705cfae3a3a5a038] source sha:479df22d0b4b0e0393fcf621e7380b38415bcef8
git bisect good 7d52a87c0aa24498584ec522705cfae3a3a5a038
# bad: [bea538a879f50238f4c9c6f05e3d7390db9d76c7] source sha:7289a140fc68dc898ba2b2357cc960968195f236
git bisect bad bea538a879f50238f4c9c6f05e3d7390db9d76c7
# good: [ad146f48b7f50d159d5b96f1c118cdb8412a98b8] source sha:91cbbb7797f048834b51690e9fab60aa778b1e44
git bisect good ad146f48b7f50d159d5b96f1c118cdb8412a98b8
# good: [773530329ceb1603b45cab2fadb112d5f2edbc9e] source sha:6525d1663f8d03e2c28e626fadc2e3e848798224
git bisect good 773530329ceb1603b45cab2fadb112d5f2edbc9e
# good: [121c8d35cf9a9ef1c1312f5e75b8d060ec842ea1] source sha:f42d03f3e9393db693ed753837ce25e1f43297df
git bisect good 121c8d35cf9a9ef1c1312f5e75b8d060ec842ea1
# bad: [de062e1c9e15e295d26a8bfe0de29395f9257cbc] source sha:7c654ee9d51a752e02c0a972de27d699ab5b649a
git bisect bad de062e1c9e15e295d26a8bfe0de29395f9257cbc
# good: [c5e4d2b4f35934c6a14eb4772f35b70322124794] source sha:745751e32de28a6cc318f40074855d547b0d5da5
git bisect good c5e4d2b4f35934c6a14eb4772f35b70322124794
# good: [63e76ebd2a5f094de1ae45569ec90efc0ded13a4] source sha:ccd04a5f46c491d50b071cf2a58b77a2bacb1922
git bisect good 63e76ebd2a5f094de1ae45569ec90efc0ded13a4
# bad: [acaf0e7b8a3c0a50c7f38b460a7d0ecb09612d79] source sha:b1e5983f04095346bee48dc3b413c0ae28789c27
git bisect bad acaf0e7b8a3c0a50c7f38b460a7d0ecb09612d79
# bad: [c2bfd14715fe1f3e6b601f721ff6cfc04a84fd2c] source sha:ae0e830f9ace78b889713e7e74ce46f88fa21470
git bisect bad c2bfd14715fe1f3e6b601f721ff6cfc04a84fd2c
# first bad commit: [c2bfd14715fe1f3e6b601f721ff6cfc04a84fd2c] source sha:ae0e830f9ace78b889713e7e74ce46f88fa21470
Comment 5 Mike Kaganski 2016-10-29 12:41:11 UTC
A patch is submitted for review: https://gerrit.libreoffice.org/30373
Comment 6 Commit Notification 2016-10-29 16:18:53 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c708eee636c0cdf3da2ec62849618f3262044bc

tdf#103473: Ensure positive rectangle size

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-11-05 07:23:00 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92d0b2bc79033e8f2cd70c298ad746b38b4eea03&h=libreoffice-5-2

tdf#103473: Ensure positive rectangle size

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.